Next Previous Contents

## 3.39 cprintf

> Function

>   Formatted output to the console.

> Header

>   `conio.h`

> Declaration

>   `int cprintf (const char* format, ...);`

> Description

>   The arguments are converted to text where necessary and formatted according to the format string given. The resulting string is output to the console. `cprintf` supports the same format specifiers as `printf`.

> Limits

>   - Like all other `conio` output functions, `cprintf` distinguishes between `\r` and `\n`.
> Availability

>   cc65

> See also

>   cputc, cputcxy, cputs, cputsxy, vcprintf

> Example

>   None.

Next Previous Contents